# class NativeString

#### package cpp

Available on Android, iOS, Linux, macOS, Windows

### Static methods

###

`staticinline c_str (inString:String):ConstPointer<Char>`

###

`staticcompare (inString0:String, inString1:String):Int`

###

`staticinline fromGcPointer (inPtr:ConstPointer<Char>, inLen:Int):String`

###

`staticinline fromPointer (inPtr:ConstPointer<Char>):String`

###

`staticfromPointerLen (inPtr:ConstPointer<Char>, len:Int):String`

###

`staticinline raw (inString:String):RawConstPointer<Char>`

###

`staticutf8CharCodeAt (inString:String, inIndex:Int):Int`

###

`staticutf8DecodeAdvance (reference:Char):Int`

###

`staticutf8IsValid (inString:String):Bool`

###

`staticutf8Length (inString:String):Int`

###

`staticutf8Sub (inString:String, charStart:Int, inLen:Int):String`